import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi,optionsListApiType } from '/@/api/tigerapi/mes/smt/tool_his';
import { h,unref } from 'vue';
import { Tag ,Tooltip} from 'ant-design-vue';
import{ useLocale } from '/@/locales/useLocale';

const { getLocale }=useLocale();

export const columns: BasicColumn[] = [
  {
    title: '条码',
    dataIndex: 'TOOL_CODE',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: '状态',
    dataIndex: 'STATUS',
    width: 100,
    sorter: true,
    resizable: true,
    customRender: ({ record }) => {
      const status = record.STATUS;
      var text = '';
      var color = '';
      switch (status) {
        case 0:
          text = '已入库';
          color = 'green';
          break;
        case 1:
          text = '已领用';
          color = 'blue';
          break;
        case 2:
          text = '已上线';
          color = 'blue';
          break;
        case 3:
          text = '已下线';
          color = 'blue';
          break;
        case 4:
          text = '保养中';
          color = 'blue';
          break;
        case 5:
          text = '已报废';
          color = 'blue';
          break;
        default:
          break;
      }
      return h(Tooltip, { title: 'xxxxxx' }, () => h(Tag, { color: color }, () => text));
    },
  },
  {
    title: '仓库编码',
    dataIndex: 'WH_CODE',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '储区编码',
    dataIndex: 'REGION_CODE',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '货架/料车编码',
    dataIndex: 'SHELF_CODE',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '储位编码',
    dataIndex: 'LOCATION_CODE',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '产线编码',
    dataIndex: 'LINE_CODE',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width:100,
    sorter: true,
    resizable:true
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'TOOL_CODE',
    label: '条码',
    component: 'Input',
    colProps: { span: 8 },
  },
 
  // {
  //   field: 'ALARM_TYPE',
  //   label: '预警列表',
  //   component: 'ApiSelect',
  //   colProps: { span: 8 },
  //   componentProps: {
  //     api: optionsListApi,
  //     resultField: 'Data',
  //     labelField: unref(getLocale)=='zh_CN'?'Desc':'Name',
  //     valueField: 'Value',
  //   },
  // },
 
  // {
  //   field: 'MANUFACTURER',
  //   label: '制造商',
  //   component: 'Input',
  //   colProps: { span: 8 },
  // },
 
  // {
  //   field: 'TOOL_MODEL',
  //   label: '型号',
  //   component: 'Input',
  //   colProps: { span: 8 },
  // }
];


